<?php

declare(strict_types=1);

namespace App\Providers;

use App\Repositories\Eloquent\HodnotenieRepository;
use App\Repositories\Eloquent\InformaciaRepository;
use App\Repositories\Eloquent\PouzivatelRepository;
use App\Repositories\Eloquent\PracoviskoRepository;
use App\Repositories\HodnotenieRepositoryContract;
use App\Repositories\InformaciaRepositoryContract;
use App\Repositories\PouzivatelRepositoryContract;
use App\Repositories\PracoviskoRepositoryContract;
use Illuminate\Support\ServiceProvider;

/**
 * Class RepositoryServiceProvider
 *
 * @package App\Providers
 */
final class RepositoryServiceProvider extends ServiceProvider
{
    /**
     *
     */
    public function register()
    {
        $this->app->bind(PouzivatelRepositoryContract::class, PouzivatelRepository::class);
        $this->app->bind(PracoviskoRepositoryContract::class, PracoviskoRepository::class);
        $this->app->bind(InformaciaRepositoryContract::class, InformaciaRepository::class);
        $this->app->bind(HodnotenieRepositoryContract::class, HodnotenieRepository::class);
    }
}
